# Background

* Machine readable files are efficient ways to specify protocols and data structures for Stage 3 standardization activities

* A general term for such files (also according to ETSI Directives) is **software\***, i.e. formal definitions in some specific syntax and semantics (e.g. OpenAPI, TOSCA, YANG, etc.)

* The publication of such files in Standards does not constrain implementations to make use of them for the implementation. They provide a precise definition of the expected behavior as seen from an external entity, independently from the way such behavior is implemented.

* Development, coordination, governance and publication practices vary among standardization groups

* Software included in the deliverable, attached as part of a ZIP archive, referenced from a different location

* Coordination techniques include Word change tracking, email, Version Control Systems, etc.

\* *The definition of the term “software” is found in the ETSI Directives v40, Annex 6, definition number 14.*



* Machine readable definitions (i.e. software) to be developed (i.e. contributed and edited) primarily using GIT repositories at ETSI Forge

* Clear and precise mapping of changes in the software with contributions on ETSI Portal

* Each change in the software to tracked by a unique contribution, which holds the status in the approval process

* Unique identification via URLs of each version of the software

* By means of tags and branches

* **Discussion and consensus building can happen offline** w.r.t. meetings, especially when dealing with editorials and minor changes

* Software can be post-processed or embedded or referenced into the deliverables **after** the changes are approved

