## Templates of a contribution for software

The high-level content required or optional in a merge request and the related contribution is described in the clauses below.

###  Merge request

| Id   | Field                                                        | Provision | Description                                                |
| ---- | ------------------------------------------------------------ | :-------- | :--------------------------------------------------------- |
| M01  | Unique URL                                                   | Mandatory | E.g. `forge`/`my-group`/`my-project`/`merge_requests`/`ID` |
| M02  | Diff : Changes in the software                               | Mandatory |                                                            |
| M03  | Motivation, rationale or purpose of the changes              |           |                                                            |
| M04  | Description of the changes                                   | Mandatory |                                                            |
| M05  | Green light from CI Validation                               | Mandatory |                                                            |
| M06  | Software version URL                                         | Mandatory | E.g. `<forge>`/`<my-group>`/`<my-repo>`/0.0.x              |
| M07  | Reserved contribution number in the Merge request documentation | Optional  |                                                            |
| M08  | Link to Bugzilla or Gitlab issue                             | Optional  |                                                            |

### Contribution to the Portal

| Id   | Field                                                        | Provision           | Description                                                  |
| ---- | ------------------------------------------------------------ | ------------------- | ------------------------------------------------------------ |
| C01  | Link to MR so that software can be reviewed                  | Mandatory           |                                                              |
| C02  | Reason for Change                                            | Mandatory           | If the contribution does not propose any change beyond those in the Merge Request, this field can refer to the Reason for Change of the Merge Request. |
| C03  | Description of the Change                                    | Mandatory           | If the contribution does not propose any change beyond those in the Merge Request, this field can refer to the Description of  Change of the Merge Request. |
| C04  | Number of the latest commit in the merge request             | Mandatory           |                                                              |
| C05  | Changes in the text pointing to the software                 | Mandatory           | E.g.:Data model A is available at `<forge>`/`<my-group>`/` <my-project>`/ `<my-title>`/ A.yaml |
| C06  | Changes in other elements of the deliverable required to maintain consistency with the changes proposed by the MR | Optional (see note) | E.g. <br />- Changes to a normative textual statement that explicitly calls out an attribute being removed by the Merge Request.<br />- Changes to an example that illustrates the use of an attribute whose syntax is being changed by the Merge Request.<br />NOTE: If the changes made to the “software” do not impact other elements, this shall be explicitly stated. |


Editor’s note: a mapping to the CR form could be done with guidance.