# Git branching and tagging strategy

- Published versions should be tagged with the publication version, e.g. 1.1.1
- Published tags should allow for editorials to be fixed and to issue a new branch, e.g. 1.1.1-1
- Publication branch i.e. the branch containing the publishable /published versions of the files.

## Usage of TAGs

### Role of tags

Git tags are a construct to label a specific revision (or commit) in a repository for quick and user-friendly references.
By their nature, they are well suited to identify revisions of the software in the repository and to map them to the steps of the approval process (e.g. meeting references, contribution references, etc.) or drafts of the deliverable they are related to.

### Guidelines

Drafting tags and publication tags should be protected, i.e. they are applicable by privileged users, which may be the Rapporteur of the related document, “power users” nominated by the TB or members of ETSI Secretariat.


> NOTE 1: The definition of tag name templates is left for future study


> NOTE 2: TAGs, once applied shall not be removed and re-applied (though technically possible). 

## Usage of branches

1.	Publication branch (name: master?)
2.	Publication branch for other release (e.g. Release-XY)
3.	Drafting branch (name: Drafting? Or draft “family” such as 0.0.x)