# Scope of the document

The present document describes a process for inclusion of software hosted at the 
ETSI Forge platform in normative and informative standardization.

In the context of the present document, the term “software” shall be understood 
as one or more files that contain specifications written in a machine-processible 
form using a technical language as described in clause 7 of the ETSI Drafting Rules. 

Unless otherwise stated, use of such technical languages in a deliverable is not 
intended to constrain implementations to make use of this language to claim 
compliance with the deliverable.

The goal is to enable ETSI TBs and ISGs to adopt best practices for management 
of machine readable content when dealing with formal and machine-readable languages 
in the specification process.
The foreseen benefit is to have a more efficient standardization process  avoid 
multiple  of content and costly maintenance.

In particular it addresses the problem of duplication of versions and sources 
for software: the proposed approach follows the principle of writing the same 
information only once.
The main focus of the process proposed below is to ensure traceability and 
transparency of contributions and change approval of the deliverable referencing 
or including software hosted at ETSI Forge.

The definition of the term “software” is found in the ETSI Directives v40, 
Annex 6, definition number 14.

## Introduction

See [Introduction](intro.md).

## Contributions process to deliverables when the software is hosted in ETSI Forge 

See [Process](process.md).

## Templates of a contribution for software


See [Templates](templates.md).

## Details of the activities

### Rapporteur Merge and tag changes

- Merge approved Merge Requests
- Tag with new draft number e.g. 0.0.2

### Create new draft

- Apply text changes
- Search and replace any occurrence of `<forge>`/my-group/my-project/`<whatever>`/ to `<forge>`/`my-group`/`my-project`/v0.0.2/

## Git branching and tagging strategy

See [Git strategies](04_git_strategies.md).

